Loading...
Searching...
No Matches
coap_proxy.c File Reference

Proxy handling functions. More...

`#include "coap3/coap_libcoap_build.h"`
Include dependency graph for coap_proxy.c:

Go to the source code of this file.

## Functions

int | coap_proxy_is_supported (void)
| Check whether Proxy code is available.
COAP_API int | coap_proxy_forward_request (coap_session_t *session, const coap_pdu_t *request, coap_pdu_t *response, coap_resource_t *resource, coap_cache_key_t *cache_key, coap_proxy_server_list_t *server_list)
| Forward incoming request upstream to the next proxy/server.
COAP_API coap_response_t | coap_proxy_forward_response (coap_session_t *session, const coap_pdu_t *received, coap_cache_key_t **cache_key)
| Forward the returning response back to the appropriate client.
int | coap_verify_proxy_scheme_supported (coap_uri_scheme_t scheme)
| Verify that the CoAP Scheme is supported for an ongoing proxy connection.

## Detailed Description

Proxy handling functions.

Definition in file coap_proxy.c.